#!/bin/bash
# uninstall_uifile.template
# Copyright (C) 2000-2019 Synology Inc. All rights reserved.
#
# Created on:  2019-02-21

#build locale_string_assignment wizard_title app wizard_remove_db_title
wizard_title_enu="Remove Database of Synology Directory Server"
wizard_title_csy="Odebrat databázi služby Synology Directory Server"
wizard_title_plk="Usuń bazę danych serwera Synology Directory Server"
wizard_title_ita="Rimuovere il database di Synology Directory Server"
wizard_title_hun="Az Synology Directory Server adatbázisának eltávolítása"
wizard_title_krn="Synology Directory Server의 데이터베이스 제거"
wizard_title_sve="Ta bort databasen för Synology Directory Server"
wizard_title_jpn="Synology Directory Server のデータベースを削除する"
wizard_title_nor="Fjern databasen til Synology Directory Server"
wizard_title_trk="Synology Directory Server VeriTabanını Kaldır"
wizard_title_chs="删除 Synology Directory Server 的数据库"
wizard_title_ger="Datenbank von Synology Directory Server entfernen"
wizard_title_rus="Удаление базы данных с Synology Directory Server"
wizard_title_dan="Fjern database for Synology Directory Server"
wizard_title_spn="Eliminar la base de datos de Synology Directory Server"
wizard_title_fre="Supprimer la base de données d'Synology Directory Server"
wizard_title_ptg="Remover base de dados do Synology Directory Server"
wizard_title_ptb="Remover banco de dados do Synology Directory Server"
wizard_title_nld="Verwijder de database van Synology Directory Server"
wizard_title_tha="ลบฐานข้อมูลของ Synology Directory Server"
wizard_title_cht="移除 Synology Directory Server 資料庫"
wizard_title_variable="wizard_title_${SYNOPKG_DSM_LANGUAGE}"
wizard_title="${!wizard_title_variable}"
#build locale_string_assignment wizard_desc app wizard_confirm_remove_db_desc
wizard_desc_enu="After the removal of Synology Directory Server database, all the user/group information of your Synology Directory Server will be permanently deleted. If you wish to keep the users and groups of your Synology Directory Server, please back them up with <b>Hyper Backup</b> first."
wizard_desc_csy="PoPo odebrání databáze služby Synology Directory Server se všechny informace o uživatelích a skupinách služby Synology Directory Server trvale odstraní. Pokud chcete uživatele a skupiny služby Synology Directory Server zachovat, vytvořte nejprve pomocí služby <b>Hyper Backup</b> jejich zálohu."
wizard_desc_plk="Po usunięciu bazy danych serwera Synology Directory Server wszystkie informacje o użytkownikach/grupach serwera Synology Directory Server zostaną trwale usunięte. Jeśli chcesz zachować użytkowników i grupy serwera Synology Directory Server, najpierw wykonaj ich kopię zapasową przy użyciu aplikacji <b>Hyper Backup</b>."
wizard_desc_ita="Dopo la rimozione del database Synology Directory Server, tutte le informazioni utente/gruppo di Synology Directory Server saranno eliminate definitivamente. Per mantenere gli utenti e i gruppi di Synology Directory Server, eseguirne prima il backup con <b>Hyper Backup</b>."
wizard_desc_hun="Az Synology Directory Server adatbázisának eltávolításával véglegesen törli az Synology Directory Server összes felhasználói/csoportadatát. Ha szeretné megtartani az Synology Directory Server felhasználóit és csoportjait, előbb készítsen róluk biztonsági mentést a <b>Hyper Backup</b> alkalmazással."
wizard_desc_krn="Synology Directory Server 데이터베이스를 제거한 후, Synology Directory Server의 모든 사용자/그룹 정보가 영구 삭제됩니다. Synology Directory Server의 사용자 및 그룹을 유지하려면, 먼저 <b>Hyper Backup</b>을 사용하여 백업하십시오."
wizard_desc_sve="Efter att databasen för Synology Directory Server har tagits bort blir all information om användare/grupp för din Synology Directory Server permanent raderade. Om du vill behålla användare och grupper för din Synology Directory Server, vänligen säkerhetskopiera dem först med <b>Hyper Backup</b>."
wizard_desc_jpn="Synology Directory Server データベースの削除後、Synology Directory Server のすべてのユーザー/グループ情報は永久的に削除されます。Synology Directory Server のユーザーおよびグループを保持するには、<b>Hyper Backup</b> で先にバックアップしてください。"
wizard_desc_nor="Når Synology Directory Server-databasen fjernes, blir all bruker-/gruppeinformasjon på Synology Directory Server slettet permanent. Hvis du vil beholde brukerne og gruppene på Synology Directory Server, må du sikkerhetskopiere dem med <b>Hyper Backup</b> først."
wizard_desc_trk="Synology Directory Server veritabanının kaldırılmasından sonra, Synology Directory Server'ınızın tüm kullanıcı/grup bilgileri kalıcı olarak silinecektir. Synology Directory Server'ınızın kullanıcılarını ve gruplarını tutmak istiyorsanız, lütfen önce <b>Hyper Backup</b> ile yedekleyin."
wizard_desc_chs="删除 Synology Directory Server 数据库后，Synology Directory Server 的所有用户/群组信息将被永久删除。如果您要保留 Synology Directory Server 的用户和群组，请先用 <b>Hyper Backup</b> 备份。"
wizard_desc_ger="Nach dem Entfernen der Synology Directory Server-Datenbank werden sämtliche Benutzer-/Gruppeninformationen Ihres Synology Directory Server dauerhaft gelöscht. Wenn Sie Benutzer und Gruppen Ihres Synology Directory Server beibehalten möchten, sichern Sie diese bitte zuerst mit <b>Hyper Backup</b>."
wizard_desc_rus="После удаления базы данных Synology Directory Server вся информация о пользователях и группах вашего Synology Directory Server будет навсегда удалена. Чтобы не потерять сведения о пользователях и группах на своем Synology Directory Server, сначала создайте их резервные копии с помощью <b>Hyper Backup</b>."
wizard_desc_dan="Efter fjernelese af Synology Directory Server-databasen bliver alle bruger-/gruppeoplysninger for din Synology Directory Server slettet permanent. Hvis du vil beholde brugere og grupper for din Synology Directory Server, skal du først udføre backup på dem med <b>Hyper Backup</b>."
wizard_desc_spn="Si elimina la base de datos Synology Directory Server, toda la información del grupo y de los usuarios de su Synology Directory Server se borrará de forma permanente. Si desea conservar los grupos y los usuarios del Synology Directory Server, haga una copia de seguridad con <b>Hyper Backup</b> antes de eliminarlo."
wizard_desc_fre="Après la suppression de la base de données Synology Directory Server, toutes les informations des utilisateurs/groupes de votre Synology Directory Server seront définitivement supprimées. Si vous souhaitez conserver les utilisateurs et les groupes de votre Synology Directory Server, sauvegardez-les d'abord à l'aide d'<b>Hyper Backup</b>."
wizard_desc_ptg="Depois da remoção da base de dados do Synology Directory Server, todas as informações de utilizador/grupo do seu Synology Directory Server serão eliminadas de forma permanente. Caso deseje manter os utilizadores e grupos do seu Synology Directory Server, salvaguarde-os primeiro com <b>Hyper Backup</b>."
wizard_desc_ptb="Após a remoção do banco de dados do Synology Directory Server, todas as informações de usuários/grupos do seu Synology Directory Server serão excluídas permanentemente. Se você deseja manter os usuários e grupos do seu Synology Directory Server, primeiro faça backup deles com o <b>Hyper Backup</b>."
wizard_desc_nld="Na het verwijderen van de Synology Directory Server-database wordt alle gebruikers-/groepsinformatie van uw Synology Directory Server definitief verwijderd. Wilt u de gebruikers en groepen van uw Synology Directory Server bewaren, voer dan eerst een back-up uit met <b>Hyper Backup</b>."
wizard_desc_tha="หลังจากลบฐานข้อมูล Synology Directory Server ข้อมูลผู้ใช้/กลุ่มทั้งหมดของSynology Directory Server ของคุณจะถูกลบอย่างถาวร หากคุณต้องการเก็บผู้ใช้และกลุ่มของ Synology Directory Server ของคุณ โปรดสำรองข้อมูลด้วย <b>Hyper Backup</b> ก่อน"
wizard_desc_cht="移除 Synology Directory Server 資料庫後，Synology Directory Server 的所有使用者 / 群組資訊將永久刪除。若要保留 Synology Directory Server 的使用者及群組，請先使用 <b>Hyper Backup</b> 來進行備份。"
wizard_desc_variable="wizard_desc_${SYNOPKG_DSM_LANGUAGE}"
wizard_desc="${!wizard_desc_variable}"
#build locale_string_assignment wizard_confirm app wizard_remove_ad_db_confirm
wizard_confirm_enu="I am sure I want to remove Synology Directory Server."
wizard_confirm_csy="Skutečně chci odebrat databázi služby Synology Directory Server."
wizard_confirm_plk="Na pewno chcę usunąć bazę danych serwera Synology Directory Server."
wizard_confirm_ita="Sono sicuro di volere rimuovere il database Synology Directory Server."
wizard_confirm_hun="Megerősítem, hogy el szeretném távolítani az Synology Directory Server adatbázisát."
wizard_confirm_krn="Synology Directory Server 데이터베이스를 삭제하기를 원합니다."
wizard_confirm_sve="Jag är säker på att jag vill ta bort databasen för Synology Directory Server."
wizard_confirm_jpn="Synology Directory Server データベースを削除します。"
wizard_confirm_nor="Jeg er sikker på at jeg vil fjerne Synology Directory Server-databasen."
wizard_confirm_trk="Synology Directory Server veritabanını kaldırmak istediğimden eminim."
wizard_confirm_chs="我确定要删除 Synology Directory Server 数据库。"
wizard_confirm_ger="Ich bin sicher, dass ich die Synology Directory Server-Datenbank entfernen will."
wizard_confirm_rus="Я точно хочу удалить базу данных Synology Directory Server."
wizard_confirm_dan="Jeg er sikker på, at jeg vil fjerne Synology Directory Server-databasen."
wizard_confirm_spn="Sí, quiero eliminar la base de datos de Synology Directory Server."
wizard_confirm_fre="Je suis certain de vouloir supprimer la base de données Synology Directory Server."
wizard_confirm_ptg="Tenho a certeza que desejo remover a base de dados do Synology Directory Server."
wizard_confirm_ptb="Tenho certeza de que desejo remover o banco de dados do Synology Directory Server."
wizard_confirm_nld="Ik weet zeker dat ik de Synology Directory Server-database wil verwijderen."
wizard_confirm_tha="ฉันแน่ใจว่าต้องการลบฐานข้อมูล Synology Directory Server"
wizard_confirm_cht="我確定要移除 Synology Directory Server 資料庫。"
wizard_confirm_variable="wizard_confirm_${SYNOPKG_DSM_LANGUAGE}"
wizard_confirm="${!wizard_confirm_variable}"
#build locale_string_assignment wizard_warning app wizard_remove_warning
wizard_warning_enu="Please tick the checkbox to confirm the removal."
wizard_warning_csy="Odebrání potvrďte zaškrtnutím políčka."
wizard_warning_plk="Zaznacz pole wyboru, aby potwierdzić usunięcie."
wizard_warning_ita="Spuntare la casella di controllo per confermare la rimozione."
wizard_warning_hun="Az eltávolítás megerősítéséhez jelölje be a jelölőnégyzetet."
wizard_warning_krn="제거를 확인하려면 확인란을 선택하십시오."
wizard_warning_sve="Vänligen bocka för kryssrutan för att bekräfta borttagningen."
wizard_warning_jpn="チェックボックスにチェックマークを付けて削除を確定してください。"
wizard_warning_nor="Merk av i boksen for å bekrefte fjerningen."
wizard_warning_trk="Kaldırmayı teyit etmek için onay kutusunu işaretleyin."
wizard_warning_chs="请勾选复选框以确认删除。"
wizard_warning_ger="Aktivieren Sie das Kontrollkästchen, um das Entfernen zu bestätigen."
wizard_warning_rus="Установите флажок, чтобы подтвердить удаление."
wizard_warning_dan="Marker afkrydsningsfeltet for at bekræfte fjernelsen."
wizard_warning_spn="Marque la casilla de verificación para confirmar la eliminación."
wizard_warning_fre="Cochez la case pour confirmer la suppression."
wizard_warning_ptg="Assinale a caixa de verificação para confirmar a remoção."
wizard_warning_ptb="Marque a caixa de seleção para confirmar a remoção."
wizard_warning_nld="Schakel het selectievakje in om de verwijdering te bevestigen."
wizard_warning_tha="โปรดทำเครื่องหมายที่ช่องทำเครื่องหมายเพื่อยืนยันการลบ"
wizard_warning_cht="請勾選核取方塊來確認移除。"
wizard_warning_variable="wizard_warning_${SYNOPKG_DSM_LANGUAGE}"
wizard_warning="${!wizard_warning_variable}"
#build locale_string_assignment wizard_smb_config app wizard_notice_to_config_smb
wizard_smb_config_enu="Please note that, since enabling Synology Directory Server will activate the SMB service and change the settings, you may need to check if the current SMB settings suit your needs. If you need to change the SMB settings, please go to DSM <b>Control Panel</b> > <b>File Services</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_csy="Jelikož povolení služby Synology Directory Server aktivuje službu SMB a změní nastavení, může být nutné zkontrolovat, jestli aktuální nastavení služby SMB odpovídají vašim potřebám. Potřebujete-li změnit nastavení služby SMB, přejděte v systému DSM do části <b>Ovládací panel</b> > <b>Souborové služby</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_plk="Pamiętaj, że włączenie serwera Synology Directory Server spowoduje aktywację usługi SMB i zmianę ustawień. Sprawdź ustawienia SMB i zweryfikuj, czy są zgodne z bieżącymi potrzebami. Jeśli chcesz zmienić ustawienia SMB, przejdź do DSM <b>Panel sterowania</b> > <b>Usługi plików</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_ita="Dal momento che l'abilitazione di Synology Directory Server attiverà il servizio SMB e modificherà le impostazioni, potrebbe essere necessario controllare se le impostazioni SMB correnti sono adatte alle proprie esigenze. Per modificare le impostazioni SMB, andare al <b>Pannello di controllo</b> di DSM > <b>Servizi file</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_hun="Ne feledje, hogy az Synology Directory Server engedélyezése aktiválja az SMB-szolgáltatást, és módosítja a beállításokat. Ellenőrizze, hogy az aktuális SMB-beállítások megfelelnek-e az Ön igényeinek. Ha módosítania kell az SMB beállításait, lépjen a DSM <b>Vezérlőpult</b> > <b>Fájlszolgáltatások</b> > <b>SMB/AFP/NFS</b> menüpontra."
wizard_smb_config_krn="Synology Directory Server를 활성화하면 SMB 서비스가 활성화되고 설정이 변경되므로, 현재 SMB 설정이 자신의 필요에 맞는지 확인해야 할 수도 있습니다. SMB 설정을 변경해야 할 경우, DSM <b>제어판</b> > <b>파일 서비스</b> > <b>SMB/AFP/NFS</b>로 이동하십시오."
wizard_smb_config_sve="Eftersom Synology Directory Server aktiverar SMB-tjänsten och ändrar inställningarna, vänligen observera att du kan behöva kontrollera om de aktuella inställningarna i SMB motsvarar dina behov. Om du behöver ändra inställningarna i SMB, vänligen gå till DSM <b>Kontrollpanel</b> > <b>Filtjänster</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_jpn="注意：Synology Directory Server を有効化すると、SMB サービスが有効化され、設定が変更されるため、現在の SMB 設定がニーズに適しているかどうかを確認する必要があります。SMB 設定を変更する必要がある場合には、[DSM]<b>[コントロール パネル]</b> > <b>[ファイル サービス]</b> > <b>[SMB/AFP/NFS]</b>に移動してください。"
wizard_smb_config_nor="Siden aktivering av Synology Directory Server også vil aktivere SMB-tjenesten og endre innstillingene, må du kontrollere at gjeldende SMB-innstillinger oppfyller dine behov. Hvis du må endre SMB-innstillingene, går du til DSMs <b>Kontrollpanel</b> > <b>Filtjenester</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_trk="Synology Directory Server'ın etkinleştirilmesi SMB hizmetini aktive edecek ve ayarları değiştireceği için, mevcut SMB ayarlarının ihtiyaçlarınıza uygun olup olmadığını kontrol etmeniz gerekebilir. SMB ayarlarını değiştirmeniz gerekiyorsa, lütfen DSM <b>Denetim Masası</b> > <b>Dosya Hizmetleri</b> > <b>SMB/AFP/NFS</b> öğesine gidin."
wizard_smb_config_chs="请注意，由于启用 Synology Directory Server 将激活 SMB 服务并更改设置，您需检查当前 SMB 设置是否符合需要。如果您要更改 SMB 设置，请进入 DSM <b>控制面板</b> > <b>文件服务</b> > <b>SMB/AFP/NFS</b>。"
wizard_smb_config_ger="Beachten Sie bitte: Da das Aktivieren von Synology Directory Server den SMB-Dienst aktiviert und die Einstellungen ändert, müssen Sie unter Umständen überprüfen, dass die aktuellen SMB-Einstellungen für Sie passen. Wenn Sie die SMB-Einstellungen ändern müssen, gehen Sie zu DSM <b>Systemsteuerung</b> > <b>Dateidienste</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_rus="Обратите внимание, что, поскольку при включении Synology Directory Server активируется служба SMB и меняются настройки, вам может понадобится проверить, соответствуют ли новые настройки SMB вашим требованиям. Для изменения настроек SMB выберите <b>Панель управления</b> в DSM > <b>Файловые службы</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_dan="Bemærk, at da aktivering af Synology Directory Server vil aktivere SMB-tjenesten og rette indstillingerne, skal du måske undersøge, om de aktuelle SMB-indstillinger passer til dine behov. Hvis du vil ændre SMB-indstillingerne, skal du gå til DSM <b>Kontrolpanel</b> > <b>Filtjenester</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_spn="Compruebe si la configuración actual de SMB se adapta a sus necesidades, ya que cuando active el Synology Directory Server, también se activará el servicio SMB y se cambiará la configuración. Para modificar la configuración de SMB, vaya a DSM, <b>Panel de control</b> > <b>Servicios de archivos</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_fre="Veuillez noter que, dans la mesure où Synology Directory Server active le service SMB et modifie les paramètres, vous pouvez être amené à vérifier si les paramètres actuels de SMB correspondent à vos besoins. Si vous devez modifier les paramètres SMB, accédez à DSM <b>Panneau de configuration</b> > <b>Services de fichiers</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_ptg="Tenha em conta que, uma vez que ativar o Synology Directory Server irá ativar o serviço SMB e alterar as definições, poderá ter de verificar se as definições SMB atuais se ajustam às suas necessidades. Caso precise de alterar as definições SMB, aceda a DSM <b>Painel de Controlo</b> > <b>Serviços de Ficheiros</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_ptb="Como a habilitação do Synology Directory Server ativará o serviço SMB e alterará as configurações, poderá ser necessário verificar se as configurações SMB atuais atendem às suas necessidades. Se você precisar alterar as configurações SMB, vá para DSM <b>Painel de controle</b> > <b>Serviços de arquivos</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_nld="Denk eraan dat u door de inschakeling van Synology Directory Server de SMB-service activeert en instellingen wijzigt. Controleer of uw huidige SMB-instellingen overeenkomen met uw behoeften. Moet u de SMB-instellingen wijzigen, ga dan naar DSM <b>Configuratiescherm</b> > <b>Bestandsservices</b> > <b>SMB/AFP/NFS</b>."
wizard_smb_config_tha="โปรดทราบว่าเนื่องจากการเปิดใช้งาน Synology Directory Server จะเปิดใช้บริการ SMB และเปลี่ยนการตั้งค่า คุณอาจจำเป็นต้องตรวจสอบว่าการตั้งค่า SMB ปัจจุบันสอดคล้องกับความต้องการของคุณหรือไม่ หากต้องการเปลี่ยนการตั้งค่า SMB โปรดไปที่ DSM <b>แผงควบคุม</b> > <b>File Services</b> > <b>SMB/AFP/NFS</b>"
wizard_smb_config_cht="請注意，啟動 Synology Directory Server 後會啟動 SMB 服務並變更設定，因此您可能需要確認當前的 SMB 設定是否符合需求。若要變更 SMB 設定，請前往 DSM <b>控制台</b> > <b>檔案服務</b> > <b>SMB/AFP/NFS</b>。"
wizard_smb_config_variable="wizard_smb_config_${SYNOPKG_DSM_LANGUAGE}"
wizard_smb_config="${!wizard_smb_config_variable}"

cat > "${SYNOPKG_TEMP_LOGFILE}" <<EOF
[{
    "step_title": "${wizard_title}",
    "items": [{
        "type": "multiselect",
        "desc": "${wizard_desc}",
        "subitems": [{
            "key": "pkgwizard_remove_ad_db",
            "desc": "${wizard_confirm}"
        }]
    }, {
        "type": "textfield",
        "desc": "",
        "subitems": [{
            "key": "pkgwizard_remove_ad_db_hidden",
            "desc": "",
            "hidden": true,
            "validator": {
                "fn": "{var a=arguments[2]; if(a.getForm().findField('pkgwizard_remove_ad_db').getValue()) return true; a.owner.getMsgBox().alert(_T('tree', 'leaf_packagemanage'), '${wizard_warning}'); return false;}"
            }
        }]
    }, {
        "desc": ""
    }, {
        "desc": ""
    }, {
        "desc": "${wizard_smb_config}"
    }]
}]
EOF

exit 0
#vim:set sts=4 sw=4 ts=4 et ft=sh:
